<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Accounts</title>
</head>
<header>
    <nav>
        <ul>
    {% if user.is_authenticated %}
        Hello, {{user.username}}
        <li><a href = "{% url "create_receipt" %}">Create a New Receipt</a></li>
        <li><a href = "{% url "create_account" %}">Create a New Account</a></li>
        <li><a href = "{% url "create_category" %}">Create a New Category</a></li>
        <li><a href = "{% url "home" %}"> Home Page</a></li>
        <li><a href = "{% url "account_list" %}">Account List</a></li>
        <li><a href = "{% url "category_list" %}">Category List</a></li>
        <li><a href = "{% url "logout" %}">Logout</a></li>
    {% else %}
        <li><a href = "{% url "signup" %}">Sign Up</a></li>
        <li><a href = "{% url "login" %}">Login</a></li>
    {% endif %}
        </ul>
    </nav>
</header>
<body>
    <main>
        <h1>My Accounts</h1>
        <table>
            <thead>
                <tr>
                    <th>Name</th> <!--1 name-->
                    <th>Number</th> <!--2-->
                    <th>Number of Receipts</th>
                </tr>
            </thead>
            <tbody>
                {% for account in accounts %}
                    <tr>
                        <td>{{account.name}}</td>
                        <td>{{account.number}}</td>
                        <td>{{account.receipts.all|length}}</td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </main>
</body>
</html>